/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BENCH_UPROBE_BPF_SKEL_H__
#define __BENCH_UPROBE_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct bench_uprobe_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata_str1_1;
	} maps;
	struct {
		struct bpf_program *empty;
		struct bpf_program *trace_printk;
		struct bpf_program *empty_ret;
		struct bpf_program *trace_printk_ret;
	} progs;
	struct {
		struct bpf_link *empty;
		struct bpf_link *trace_printk;
		struct bpf_link *empty_ret;
		struct bpf_link *trace_printk_ret;
	} links;
	struct bench_uprobe_bpf__bss {
		unsigned int nr_uprobes;
		unsigned int nr_uretprobes;
	} *bss;

#ifdef __cplusplus
	static inline struct bench_uprobe_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bench_uprobe_bpf *open_and_load();
	static inline int load(struct bench_uprobe_bpf *skel);
	static inline int attach(struct bench_uprobe_bpf *skel);
	static inline void detach(struct bench_uprobe_bpf *skel);
	static inline void destroy(struct bench_uprobe_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bench_uprobe_bpf__destroy(struct bench_uprobe_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bench_uprobe_bpf__create_skeleton(struct bench_uprobe_bpf *obj);

static inline struct bench_uprobe_bpf *
bench_uprobe_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bench_uprobe_bpf *obj;
	int err;

	obj = (struct bench_uprobe_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bench_uprobe_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bench_uprobe_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bench_uprobe_bpf *
bench_uprobe_bpf__open(void)
{
	return bench_uprobe_bpf__open_opts(NULL);
}

static inline int
bench_uprobe_bpf__load(struct bench_uprobe_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bench_uprobe_bpf *
bench_uprobe_bpf__open_and_load(void)
{
	struct bench_uprobe_bpf *obj;
	int err;

	obj = bench_uprobe_bpf__open();
	if (!obj)
		return NULL;
	err = bench_uprobe_bpf__load(obj);
	if (err) {
		bench_uprobe_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bench_uprobe_bpf__attach(struct bench_uprobe_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bench_uprobe_bpf__detach(struct bench_uprobe_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bench_uprobe_bpf__elf_bytes(size_t *sz);

static inline int
bench_uprobe_bpf__create_skeleton(struct bench_uprobe_bpf *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bench_uprobe_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "bench_up.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = ".rodata.str1.1";
	map->map = &obj->maps.rodata_str1_1;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "empty";
	s->progs[0].prog = &obj->progs.empty;
	s->progs[0].link = &obj->links.empty;

	s->progs[1].name = "trace_printk";
	s->progs[1].prog = &obj->progs.trace_printk;
	s->progs[1].link = &obj->links.trace_printk;

	s->progs[2].name = "empty_ret";
	s->progs[2].prog = &obj->progs.empty_ret;
	s->progs[2].link = &obj->links.empty_ret;

	s->progs[3].name = "trace_printk_ret";
	s->progs[3].prog = &obj->progs.trace_printk_ret;
	s->progs[3].link = &obj->links.trace_printk_ret;

	s->data = bench_uprobe_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bench_uprobe_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x15\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1e\0\
\x01\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x13\0\0\0\0\0\0\x07\x03\0\0\x01\0\0\0\x63\x31\0\0\0\0\0\0\xb7\x01\0\0\x65\
\x20\x25\x75\x63\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\x63\x68\x20\x75\0\0\0\0\x70\
\x72\x6f\x62\x7b\x1a\xf0\xff\0\0\0\0\x18\x01\0\0\x70\x65\x72\x66\0\0\0\0\x20\
\x62\x65\x6e\x7b\x1a\xe8\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x73\x1a\xfc\xff\0\0\0\
\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xe8\xff\xff\xff\xb7\x02\0\0\x15\0\0\0\x85\0\
\0\0\x06\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x13\0\0\0\0\0\0\x07\x03\0\0\
\x01\0\0\0\x63\x31\0\0\0\0\0\0\x18\x01\0\0\x72\x6f\x62\x65\0\0\0\0\x20\x25\x75\
\0\x7b\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\x63\x68\x20\x75\0\0\0\0\x72\x65\x74\x70\
\x7b\x1a\xf0\xff\0\0\0\0\x18\x01\0\0\x70\x65\x72\x66\0\0\0\0\x20\x62\x65\x6e\
\x7b\x1a\xe8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xe8\xff\xff\xff\xb7\
\x02\0\0\x18\0\0\0\x85\0\0\0\x06\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x44\
\x75\x61\x6c\x20\x42\x53\x44\x2f\x47\x50\x4c\0\0\0\0\x70\x65\x72\x66\x20\x62\
\x65\x6e\x63\x68\x20\x75\x70\x72\x6f\x62\x65\x20\x25\x75\0\x70\x65\x72\x66\x20\
\x62\x65\x6e\x63\x68\x20\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x20\x25\x75\0\x01\
\x11\x01\x25\x25\x13\x05\x03\x25\x72\x17\x10\x17\x1b\x25\x11\x01\x55\x23\x73\
\x17\x74\x17\0\0\x02\x34\0\x03\x25\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\
\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x25\x3e\
\x0b\x0b\x0b\0\0\x06\x24\0\x03\x25\x0b\x0b\x3e\x0b\0\0\x07\x34\0\x03\x25\x49\
\x13\x3a\x0b\x3b\x0b\0\0\x08\x26\0\x49\x13\0\0\x09\x0f\0\x49\x13\0\0\x0a\x15\
\x01\x49\x13\x27\x19\0\0\x0b\x05\0\x49\x13\0\0\x0c\x18\0\0\0\x0d\x16\0\x49\x13\
\x03\x25\x3a\x0b\x3b\x0b\0\0\x0e\x2e\x01\x11\x1b\x12\x06\x40\x18\x7a\x19\x03\
\x25\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x0f\x05\0\x03\x25\x3a\x0b\x3b\
\x0b\x49\x13\0\0\x10\x2e\x01\x03\x25\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x20\x21\
\x01\0\0\x11\x34\0\x03\x25\x3a\x0b\x3b\x0b\x49\x13\0\0\x12\x13\0\x03\x25\x3c\
\x19\0\0\x13\x1d\x01\x31\x13\x11\x1b\x12\x06\x58\x0b\x59\x0b\x57\x0b\0\0\x14\
\x34\0\x02\x18\x31\x13\0\0\0\x7b\x01\0\0\x05\0\x01\x08\0\0\0\0\x01\0\x1d\0\x01\
\x08\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\x08\0\0\0\x0c\0\0\0\x02\x03\x36\0\0\0\
\0\x27\x02\xa1\0\x03\x42\0\0\0\x04\x46\0\0\0\x0d\0\x05\x04\x06\x01\x06\x05\x08\
\x07\x02\x06\x55\0\0\0\0\x06\x02\xa1\x01\x05\x07\x07\x04\x02\x08\x55\0\0\0\0\
\x07\x02\xa1\x02\x07\x09\x6c\0\0\0\x02\xb1\x08\x71\0\0\0\x09\x76\0\0\0\x0a\x87\
\0\0\0\x0b\x8b\0\0\0\x0b\x95\0\0\0\x0c\0\x05\x0a\x05\x08\x09\x90\0\0\0\x08\x42\
\0\0\0\x0d\x55\0\0\0\x0b\x01\x1b\x0e\x03\x10\0\0\0\x01\x5a\x12\0\x0a\xce\0\0\0\
\x0f\x0e\0\x0a\xd2\0\0\0\0\x10\x0c\0\x10\xce\0\0\0\x0f\x0e\0\x10\xd2\0\0\0\x11\
\x10\0\x12\xd9\0\0\0\0\x05\x0d\x05\x04\x09\xd7\0\0\0\x12\x0f\x03\x42\0\0\0\x04\
\x46\0\0\0\x15\0\x0e\x04\xa8\0\0\0\x01\x5a\x13\0\x10\xce\0\0\0\x0f\x0e\0\x10\
\xd2\0\0\0\x13\xb5\0\0\0\x04\x98\0\0\0\0\x10\x05\x14\x02\x91\0\xc5\0\0\0\0\0\
\x0e\x05\x10\0\0\0\x01\x5a\x14\0\x19\xce\0\0\0\x0f\x0e\0\x19\xd2\0\0\0\0\x10\
\x11\0\x1f\xce\0\0\0\x0f\x0e\0\x1f\xd2\0\0\0\x11\x10\0\x21\x44\x01\0\0\0\x03\
\x42\0\0\0\x04\x46\0\0\0\x18\0\x0e\x06\xa0\0\0\0\x01\x5a\x15\0\x1f\xce\0\0\0\
\x0f\x0e\0\x1f\xd2\0\0\0\x13\x2b\x01\0\0\x06\x90\0\0\0\0\x1f\x05\x14\x02\x91\0\
\x3b\x01\0\0\0\0\0\x15\0\0\0\x05\0\x08\0\x01\0\0\0\x04\0\0\0\x03\x03\xb8\x01\
\x03\x05\xb0\x01\0\x5c\0\0\0\x05\0\0\0\0\0\0\0\x2c\0\0\0\x4d\0\0\0\xad\0\0\0\
\xb5\0\0\0\xba\0\0\0\xce\0\0\0\xd9\0\0\0\xe6\0\0\0\xf4\0\0\0\x05\x01\0\0\x0a\
\x01\0\0\x10\x01\0\0\x21\x01\0\0\x25\x01\0\0\x29\x01\0\0\x31\x01\0\0\x35\x01\0\
\0\x4a\x01\0\0\x50\x01\0\0\x5d\x01\0\0\x67\x01\0\0\x63\x6c\x61\x6e\x67\x20\x76\
\x65\x72\x73\x69\x6f\x6e\x20\x31\x38\x2e\x31\x2e\x38\x20\x28\x43\x65\x6e\x74\
\x4f\x53\x20\x31\x38\x2e\x31\x2e\x38\x2d\x31\x2e\x65\x6c\x31\x30\x29\0\x75\x74\
\x69\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\x2f\x62\x65\x6e\x63\x68\x5f\x75\
\x70\x72\x6f\x62\x65\x2e\x62\x70\x66\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x36\x2e\x31\x31\x2e\x30\x2d\x30\x2e\x72\x63\x35\x2e\x32\x31\x2e\x65\
\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x31\x2e\x30\x2d\x30\x2e\
\x72\x63\x35\x2e\x32\x31\x2e\x65\x6c\x31\x30\x2e\x61\x61\x72\x63\x68\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\0\x4c\x49\x43\x45\x4e\x53\x45\0\
\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x6e\x72\x5f\x75\x70\x72\x6f\x62\x65\x73\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x6e\x72\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\
\x65\x73\0\x62\x70\x66\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\0\
\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x33\x32\0\x5f\x5f\x5f\x5f\x74\x72\x61\x63\x65\
\x5f\x70\x72\x69\x6e\x74\x6b\0\x69\x6e\x74\0\x63\x74\x78\0\x70\x74\x5f\x72\x65\
\x67\x73\0\x66\x6d\x74\0\x5f\x5f\x5f\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x69\
\x6e\x74\x6b\x5f\x72\x65\x74\0\x65\x6d\x70\x74\x79\0\x74\x72\x61\x63\x65\x5f\
\x70\x72\x69\x6e\x74\x6b\0\x65\x6d\x70\x74\x79\x5f\x72\x65\x74\0\x74\x72\x61\
\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x65\x74\0\x3c\0\0\0\x05\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x5c\x01\
\0\0\x5c\x01\0\0\x51\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x07\0\
\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x09\0\0\0\x01\0\0\0\x0d\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\x01\x11\0\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\x01\0\0\x0d\x04\
\0\0\0\x09\0\0\0\x01\0\0\0\xb5\0\0\0\x01\0\0\x0c\x06\0\0\0\0\0\0\0\x01\0\0\x0d\
\x04\0\0\0\x09\0\0\0\x01\0\0\0\x38\x01\0\0\x01\0\0\x0c\x08\0\0\0\0\0\0\0\x01\0\
\0\x0d\x04\0\0\0\x09\0\0\0\x01\0\0\0\x69\x01\0\0\x01\0\0\x0c\x0a\0\0\0\xfd\x01\
\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0c\0\0\0\x0e\0\
\0\0\x0d\0\0\0\x02\x02\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x16\x02\0\0\0\0\0\x0e\
\x0d\0\0\0\x01\0\0\0\x1e\x02\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x2b\x02\0\0\0\0\
\0\x0e\x10\0\0\0\x01\0\0\0\x36\x02\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\x44\x02\0\
\0\x02\0\0\x0f\0\0\0\0\x11\0\0\0\0\0\0\0\x04\0\0\0\x12\0\0\0\0\0\0\0\x04\0\0\0\
\x49\x02\0\0\x01\0\0\x0f\0\0\0\0\x0f\0\0\0\0\0\0\0\x0d\0\0\0\0\x70\x74\x5f\x72\
\x65\x67\x73\0\x63\x74\x78\0\x69\x6e\x74\0\x65\x6d\x70\x74\x79\0\x75\x70\x72\
\x6f\x62\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x31\x2e\x30\
\x2d\x30\x2e\x72\x63\x35\x2e\x32\x31\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\
\x78\x2d\x36\x2e\x31\x31\x2e\x30\x2d\x30\x2e\x72\x63\x35\x2e\x32\x31\x2e\x65\
\x6c\x31\x30\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\
\x65\x72\x66\x2f\x75\x74\x69\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\x2f\x62\
\x65\x6e\x63\x68\x5f\x75\x70\x72\x6f\x62\x65\x2e\x62\x70\x66\x2e\x63\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x55\x50\x52\x4f\x42\x45\x28\x65\x6d\x70\x74\x79\x29\0\
\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\0\x09\x62\x70\x66\x5f\x74\x72\
\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x28\x66\x6d\x74\x2c\x20\x73\x69\x7a\
\x65\x6f\x66\x28\x66\x6d\x74\x29\x2c\x20\x2b\x2b\x6e\x72\x5f\x75\x70\x72\x6f\
\x62\x65\x73\x29\x3b\0\x09\x63\x68\x61\x72\x20\x66\x6d\x74\x5b\x5d\x20\x3d\x20\
\x22\x70\x65\x72\x66\x20\x62\x65\x6e\x63\x68\x20\x75\x70\x72\x6f\x62\x65\x20\
\x25\x75\x22\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\x52\x4f\x42\x45\x28\
\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x29\0\x65\x6d\x70\x74\x79\x5f\
\x72\x65\x74\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\0\x69\x6e\x74\x20\x42\x50\
\x46\x5f\x55\x52\x45\x54\x50\x52\x4f\x42\x45\x28\x65\x6d\x70\x74\x79\x5f\x72\
\x65\x74\x29\0\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x65\x74\
\0\x09\x62\x70\x66\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x28\x66\
\x6d\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x66\x6d\x74\x29\x2c\x20\x2b\x2b\
\x6e\x72\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x73\x29\x3b\0\x09\x63\x68\x61\
\x72\x20\x66\x6d\x74\x5b\x5d\x20\x3d\x20\x22\x70\x65\x72\x66\x20\x62\x65\x6e\
\x63\x68\x20\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x20\x25\x75\x22\x3b\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x55\x52\x45\x54\x50\x52\x4f\x42\x45\x28\x74\x72\x61\
\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x65\x74\x29\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x4c\x49\x43\x45\x4e\x53\x45\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\
\0\x6e\x72\x5f\x75\x70\x72\x6f\x62\x65\x73\0\x6e\x72\x5f\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x73\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\0\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\xd4\0\0\0\x08\x01\0\0\0\0\
\0\0\x08\0\0\0\x17\0\0\0\x02\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\x07\0\0\0\x42\
\x01\0\0\x02\0\0\0\0\0\0\0\x09\0\0\0\x10\0\0\0\x0b\0\0\0\x10\0\0\0\x17\0\0\0\
\x06\0\0\0\0\0\0\0\x1e\0\0\0\x9f\0\0\0\x05\x28\0\0\x10\0\0\0\x1e\0\0\0\xc2\0\0\
\0\x25\x50\0\0\x40\0\0\0\x1e\0\0\0\xf5\0\0\0\x07\x48\0\0\x90\0\0\0\x1e\0\0\0\
\xc2\0\0\0\x25\x50\0\0\x98\0\0\0\x1e\0\0\0\xc2\0\0\0\x02\x50\0\0\xa8\0\0\0\x1e\
\0\0\0\x1b\x01\0\0\x05\x40\0\0\x42\x01\0\0\x06\0\0\0\0\0\0\0\x1e\0\0\0\x4c\x01\
\0\0\x05\x64\0\0\x10\0\0\0\x1e\0\0\0\x7a\x01\0\0\x25\x8c\0\0\x48\0\0\0\x1e\0\0\
\0\xb0\x01\0\0\x07\x84\0\0\x88\0\0\0\x1e\0\0\0\x7a\x01\0\0\x25\x8c\0\0\x90\0\0\
\0\x1e\0\0\0\x7a\x01\0\0\x02\x8c\0\0\xa0\0\0\0\x1e\0\0\0\xd9\x01\0\0\x05\x7c\0\
\0\0\0\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa8\0\
\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x14\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\xc9\0\0\0\x05\0\x08\0\x69\0\0\0\x08\
\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x01\x01\x1f\x03\0\0\0\
\0\x60\0\0\0\x79\0\0\0\x03\x01\x1f\x02\x0f\x05\x1e\x03\x8a\0\0\0\0\x5b\x2c\xcb\
\xee\x67\xfd\xa3\xdc\x89\xee\x31\xf9\xaf\x0e\x85\x8c\xab\0\0\0\x01\xb8\x10\xf2\
\x70\x73\x3e\x10\x63\x19\xb6\x7e\xf5\x12\xc6\x24\x6e\xb6\0\0\0\x02\xc4\x54\x1a\
\xc9\xeb\x57\x75\xba\x77\x80\x51\xc9\x40\xb0\x3a\x18\x04\0\x05\x05\x0a\0\x09\
\x02\0\0\0\0\0\0\0\0\x03\x09\x01\x05\x25\x0a\x03\x0a\x2e\x05\x07\x64\x05\x25\
\xa0\x05\x02\x06\x20\x05\x05\x06\x2a\x02\x02\0\x01\x01\x04\0\x05\x05\x0a\0\x09\
\x02\0\0\0\0\0\0\0\0\x03\x18\x01\x05\x25\x0a\x03\x0a\x2e\x05\x07\x72\x05\x25\
\x84\x05\x02\x06\x20\x05\x05\x06\x2a\x02\x02\0\x01\x01\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x36\x2e\x31\x31\x2e\x30\x2d\x30\x2e\x72\x63\x35\x2e\x32\x31\
\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x31\x2e\x30\x2d\
\x30\x2e\x72\x63\x35\x2e\x32\x31\x2e\x65\x6c\x31\x30\x2e\x61\x61\x72\x63\x68\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\0\x2f\x75\x73\x72\x2f\x69\
\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x2f\
\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x75\x74\x69\x6c\
\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\x2f\x62\x65\x6e\x63\x68\x5f\x75\x70\x72\
\x6f\x62\x65\x2e\x62\x70\x66\x2e\x63\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\
\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\x04\0\xf1\xff\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0a\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x17\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x19\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x1b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc3\0\0\0\x12\0\x03\
\0\x10\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x6f\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x28\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x32\
\0\0\0\x12\0\x05\0\x10\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x7a\0\0\0\x11\0\x08\0\
\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x4c\x01\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\
\x0d\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x10\0\0\0\0\0\0\0\x01\
\0\0\0\x11\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\x04\0\0\0\x11\0\0\0\0\0\0\0\x03\0\
\0\0\x06\0\0\0\x15\0\0\0\0\0\0\0\x03\0\0\0\x0a\0\0\0\x23\0\0\0\0\0\0\0\x03\0\0\
\0\x08\0\0\0\x27\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\
\x07\0\0\0\x0c\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x10\0\0\0\0\0\0\0\x03\0\0\0\
\x07\0\0\0\x14\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x18\0\0\0\0\0\0\0\x03\0\0\0\
\x07\0\0\0\x1c\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x20\0\0\0\0\0\0\0\x03\0\0\0\
\x07\0\0\0\x24\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x28\0\0\0\0\0\0\0\x03\0\0\0\
\x07\0\0\0\x2c\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x30\0\0\0\0\0\0\0\x03\0\0\0\
\x07\0\0\0\x34\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x38\0\0\0\0\0\0\0\x03\0\0\0\
\x07\0\0\0\x3c\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x40\0\0\0\0\0\0\0\x03\0\0\0\
\x07\0\0\0\x44\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x48\0\0\0\0\0\0\0\x03\0\0\0\
\x07\0\0\0\x4c\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x50\0\0\0\0\0\0\0\x03\0\0\0\
\x07\0\0\0\x54\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x58\0\0\0\0\0\0\0\x03\0\0\0\
\x07\0\0\0\x5c\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x02\0\0\0\
\x12\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x0e\0\0\0\x18\0\0\0\0\0\0\0\x02\0\0\0\
\x11\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x28\0\0\0\0\0\0\0\x02\0\0\0\
\x02\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x38\0\0\0\0\0\0\0\x02\0\0\0\
\x03\0\0\0\x48\x01\0\0\0\0\0\0\x04\0\0\0\x0e\0\0\0\x54\x01\0\0\0\0\0\0\x04\0\0\
\0\x11\0\0\0\x6c\x01\0\0\0\0\0\0\x04\0\0\0\x12\0\0\0\x2c\0\0\0\0\0\0\0\x04\0\0\
\0\x02\0\0\0\x34\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x44\0\0\0\0\0\0\0\x04\0\0\0\
\x03\0\0\0\x4c\0\0\0\0\0\0\0\x04\0\0\0\x03\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\
\x02\0\0\0\x70\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x80\0\0\0\0\0\0\0\x04\0\0\0\
\x02\0\0\0\x90\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\
\x02\0\0\0\xb0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xc8\0\0\0\0\0\0\0\x04\0\0\0\
\x03\0\0\0\xd8\0\0\0\0\0\0\0\x04\0\0\0\x03\0\0\0\xe8\0\0\0\0\0\0\0\x04\0\0\0\
\x03\0\0\0\xf8\0\0\0\0\0\0\0\x04\0\0\0\x03\0\0\0\x08\x01\0\0\0\0\0\0\x04\0\0\0\
\x03\0\0\0\x18\x01\0\0\0\0\0\0\x04\0\0\0\x03\0\0\0\x14\0\0\0\0\0\0\0\x03\0\0\0\
\x09\0\0\0\x18\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x2c\0\0\0\0\0\0\0\x03\0\0\0\
\x09\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x44\0\0\0\0\0\0\0\x03\0\0\0\
\x09\0\0\0\x48\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x5c\0\0\0\0\0\0\0\x03\0\0\0\
\x09\0\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x22\0\0\0\0\0\0\0\x03\0\0\0\
\x0b\0\0\0\x26\0\0\0\0\0\0\0\x03\0\0\0\x0b\0\0\0\x2a\0\0\0\0\0\0\0\x03\0\0\0\
\x0b\0\0\0\x36\0\0\0\0\0\0\0\x03\0\0\0\x0b\0\0\0\x4b\0\0\0\0\0\0\0\x03\0\0\0\
\x0b\0\0\0\x60\0\0\0\0\0\0\0\x03\0\0\0\x0b\0\0\0\x7d\0\0\0\0\0\0\0\x02\0\0\0\
\x02\0\0\0\xa9\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x0c\x0d\x0f\x10\x12\0\x65\x6d\
\x70\x74\x79\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\
\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x65\x6d\x70\
\x74\x79\x5f\x72\x65\x74\0\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x5f\
\x72\x65\x74\0\x2e\x64\x65\x62\x75\x67\x5f\x72\x6e\x67\x6c\x69\x73\x74\x73\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\x5f\x6f\x66\x66\x73\
\x65\x74\x73\0\x2e\x62\x73\x73\0\x6e\x72\x5f\x75\x70\x72\x6f\x62\x65\x73\0\x6e\
\x72\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x73\0\x2e\x64\x65\x62\x75\x67\x5f\
\x73\x74\x72\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\x5f\x73\x74\x72\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x61\x64\x64\x72\0\x2e\x72\x65\x6c\
\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x74\x72\x61\x63\x65\x5f\x70\x72\
\x69\x6e\x74\x6b\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\
\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\
\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\0\x62\x65\x6e\x63\x68\x5f\x75\x70\x72\x6f\x62\x65\x2e\x62\x70\
\x66\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\
\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x72\x6f\x64\
\x61\x74\x61\x2e\x73\x74\x72\x31\x2e\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x33\x01\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc5\x13\0\
\0\0\0\0\0\x63\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x15\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x01\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x01\0\0\x09\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0f\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1d\0\0\0\x03\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x16\x01\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x60\x0f\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1d\0\0\0\x05\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\xde\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa8\x01\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x6a\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x01\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\
\x01\0\0\x01\0\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x01\0\0\0\0\0\0\x2d\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe5\x01\0\0\0\0\0\0\xf6\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xdb\x02\0\0\0\0\0\0\x7f\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb3\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x70\x0f\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x1d\0\0\0\x0b\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5a\x04\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x57\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\x04\0\0\0\0\
\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\
\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x0f\0\0\0\0\0\0\x60\x01\0\
\0\0\0\0\0\x1d\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x88\0\0\0\
\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd3\x04\0\0\0\0\0\0\x78\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xa7\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4b\x06\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa3\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x20\x11\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x1d\0\0\0\x11\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x47\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x8c\x06\0\0\0\0\0\0\xc5\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x43\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x90\x11\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x1d\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\x0a\
\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x1b\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x11\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\x1d\0\0\0\x15\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xfa\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0b\0\0\0\0\0\0\x70\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf6\0\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x12\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x1d\0\
\0\0\x17\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xea\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x0b\0\0\0\0\0\0\xcd\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe6\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\x13\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x1d\0\0\0\x19\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x93\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xbd\x0c\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\xd0\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\xc0\
\x13\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x1d\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x3b\x01\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x0d\0\0\0\0\
\0\0\xc8\x01\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bench_uprobe_bpf *bench_uprobe_bpf::open(const struct bpf_object_open_opts *opts) { return bench_uprobe_bpf__open_opts(opts); }
struct bench_uprobe_bpf *bench_uprobe_bpf::open_and_load() { return bench_uprobe_bpf__open_and_load(); }
int bench_uprobe_bpf::load(struct bench_uprobe_bpf *skel) { return bench_uprobe_bpf__load(skel); }
int bench_uprobe_bpf::attach(struct bench_uprobe_bpf *skel) { return bench_uprobe_bpf__attach(skel); }
void bench_uprobe_bpf::detach(struct bench_uprobe_bpf *skel) { bench_uprobe_bpf__detach(skel); }
void bench_uprobe_bpf::destroy(struct bench_uprobe_bpf *skel) { bench_uprobe_bpf__destroy(skel); }
const void *bench_uprobe_bpf::elf_bytes(size_t *sz) { return bench_uprobe_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bench_uprobe_bpf__assert(struct bench_uprobe_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->nr_uprobes) == 4, "unexpected size of 'nr_uprobes'");
	_Static_assert(sizeof(s->bss->nr_uretprobes) == 4, "unexpected size of 'nr_uretprobes'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BENCH_UPROBE_BPF_SKEL_H__ */
